<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>haya4.tools</groupId>
  <artifactId>haya4-compress</artifactId>
  <version>0.0.1</version>
  <name>haya4-compress</name>
  <description>file commands use by 'org.apache.commons'.</description>
  <packaging>jar</packaging>
  <scm>
    <connection>scm:git:http://surveyor.mydns.jp/gitbucket/git/yuu/haya4-compress.git</connection>
    <url>http://surveyor.mydns.jp/gitbucket/yuu/haya4-compress/wiki</url>
    <developerConnection>scm:git:http://surveyor.mydns.jp/gitbucket/git/yuu/haya4-compress.git</developerConnection>
    <tag>haya4-compress-0.0.1</tag>
  </scm>
  
  <licenses>
    <license>
      <name>MIT License</name>
      <url>http://www.opensource.org/licenses/mit-license.php</url>
    </license>
  </licenses>
  
  <developers>
    <developer>
      <name>Yuu Hayashi</name>
      <email>hayashi.yuu@gmail.com</email>
      <organization>surveyor</organization>
      <organizationUrl>http://surveyor.mydns.jp/</organizationUrl>
    </developer>
  </developers>
  
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <java.version>1.8</java.version>
    <maven.compiler.source>${java.version}</maven.compiler.source>
    <maven.compiler.target>${java.version}</maven.compiler.target>
  </properties>

  <!-- DEPLOY先の指定  mvn deploy -->
  <distributionManagement>
    <repository>
      <id>surveyor.haya4</id>
      <name>Internal Release Repository</name>
      <url>http://surveyor.mydns.jp/archiva/repository/haya4/</url>
    </repository>
    <snapshotRepository>
      <id>surveyor.snapshots</id>
      <name>Archiva Managed Snapshot Repository</name>
      <url>http://surveyor.mydns.jp/archiva/repository/snapshots/</url>
    </snapshotRepository>
  </distributionManagement>
  
  <dependencies>
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-compress</artifactId>
      <version>1.14</version>
      <type>jar</type>
    </dependency>
    
    <!-- for JUnit test -->
    <dependency>
      <groupId>org.hamcrest</groupId>
      <artifactId>hamcrest-core</artifactId>
      <version>2.2</version>
      <scope>test</scope>
      <type>jar</type>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.12</version>
      <scope>test</scope>
      <type>jar</type>
    </dependency>
  </dependencies>
  
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.8.1</version>
        <configuration>
          <source>${java.version}</source>
          <target>${java.version}</target>
        </configuration>
      </plugin>
    
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-resources-plugin</artifactId>
        <version>3.1.0</version>
        <configuration>
          <encoding>UTF-8</encoding>
        </configuration>
      </plugin>
      
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>3.0.0-M3</version>
        <configuration>
          <systemPropertyVariables>
            <jacoco-agent.destfile>target/jacoco.exec</jacoco-agent.destfile>
          </systemPropertyVariables>
          <!-- ↓これがないとスタックトレースが出ない -->
          <trimStackTrace>false</trimStackTrace>
        </configuration>
      </plugin>
      
      <plugin>
        <groupId>org.jacoco</groupId>
        <artifactId>jacoco-maven-plugin</artifactId>
        <version>0.8.5</version>
        <executions>
          <execution>
            <goals>
              <goal>prepare-agent</goal>
            </goals>
          </execution>
          <execution>
            <id>default-report</id>
            <goals>
              <goal>report</goal>
            </goals>
          </execution>
        </executions>
      </plugin>

      <!-- mvn site -->
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-site-plugin</artifactId>
        <version>3.7.1</version>
        <configuration>
          <locales>ja</locales>
          <inputEncoding>${project.build.sourceEncoding}</inputEncoding>
          <outputEncoding>${site.encoding}</outputEncoding>
        </configuration>
      </plugin>

    </plugins>
  </build>
  
  <reporting>
    <plugins>
      <!--  UnitTest report to site -->
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-report-plugin</artifactId>
      </plugin>
      
      <!--  Javadoc report to site -->
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-javadoc-plugin</artifactId>
        <configuration>
          <source>1.8</source>
          <show>protected</show>
          <encoding>UTF-8</encoding>
          <docencoding>UTF-8</docencoding>
          <charset>UTF-8</charset>
        </configuration>
      </plugin>

      <!--  Coverage report to site -->
      <plugin>
        <groupId>org.jacoco</groupId>
        <artifactId>jacoco-maven-plugin</artifactId>
        <version>0.8.5</version>
        <reportSets>
          <reportSet>
            <reports>
              <report>report</report>
            </reports>
          </reportSet>
        </reportSets>
      </plugin>
    </plugins>
    
  </reporting>
</project>